<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
include ("admin_log.php");
include ("../makepass.php");
?>
<HTML>
<HEAD>
<META http-equiv='Content-Type' content='text/html; charset=gb2312'>
<TITLE>MENU</TITLE>
<STYLE>
<!--
A:link {text-decoration:none;color:black;}
A:visited {text-decoration:none;color:black;}
A:hover {  text-decoration:underline;  color:#081E8A;}
p,br,body,td {color:black; font-size:9pt; line-height:140%;}
-->
</STYLE>
</HEAD>
<BODY  BGCOLOR='EFEFEF'>

<table width=100% cellpadding=6 cellspacing=0 border=0>
  <tr>
    <td bgcolor=#a6a7d9 colspan=2><font color=#FFFFFF> <b>欢迎来到险情文章管理程式 / 订阅文章管理</b></font></td>
  </tr>
</table>
<br>
<?
######################################################################

//////////////////将所有等待文章读入数组//////////////////////////////////
$user_array=file("../data/$user/user.mail");
$file_count=count($user_array)-1;

// 文章列表 ------------------------------
echo "&nbsp;<b>已经订阅了您文章的用户</b><center><table border=0 width=98% bgcolor=c0c0c0 cellspacing=1 cellpadding=1>";
echo "<TR bgColor=EFEFEF>";
echo "<TD align=middle width='22%' bgcolor=C0C0C0><b><font color='#800000'><span style=font:9pt>信箱</span></font></b></TD>";
echo "<TD align=middle width=\"18%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt>密码</span></font></b></TD>";
echo "<TD align=middle width=\"20%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt>订阅版块</span></font></b></TD>";
echo "<TD align=middle width=\"20%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt>订阅时间</span></font></b></TD>";
echo "<TD align=middle width=\"8%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt></span></font></b></TD>";
echo "<TD align=middle width=\"8%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt</span></font></b></TD>";
echo "</TR>";
#分页显示用户
for ($counter=$file_count;$counter>=0;$counter--) {
  $user_info=explode("|",$user_array[$counter]);
/////////
if ($user_info[2]!="all"){
$type_file=file("../data/xq.php");
$type_num=count($type_file)-1;
  for ($i=0;$i<=$type_num;$i++) {
  $type_info=explode("|",$type_file[$i]);
  if ($user_info[2]==$type_info[1])  {
     $typename=$type_info[2];
      break;}
}
}
else  $typename="所有版块";
////////
  echo "<TR bgColor=#ffffff>";
  echo "<td bgcolor=efefef align=left>&nbsp;<IMG border=0 src='../images/dot1.gif'> <span style=font:9pt>$user_info[0]</span></td>";
  echo "<td align=center><span style=font:9pt>$user_info[1]</span></td>";
  echo "<td align=center ><span style=font:9pt>$typename</span></td>";
  echo "<td align=center ><span style=font:9pt>20$user_info[3]</span></td>";
  echo "<td align=center></td>";
  echo "<td align=center ><a href=usersave.php?mod=zs&act=del&id=$counter><span style=font:9pt>删除</span><a></td>";
  echo "</TR>";}
echo "</table></center>";
 ?>

<br>
<?
######################################################################

//////////////////将所有等待文章读入数组//////////////////////////////////
$user_array=file("../data/$user/user.mailwait");
$file_count=count($user_array)-1;

// 文章列表 ------------------------------
echo "&nbsp;<b>等待审核用户</b><center><table border=0 width=98% bgcolor=c0c0c0 cellspacing=1 cellpadding=1>";
echo "<TR bgColor=EFEFEF>";
echo "<TD align=middle width='22%' bgcolor=C0C0C0><b><font color='#800000'><span style=font:9pt>信箱</span></font></b></TD>";
echo "<TD align=middle width=\"18%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt>密码</span></font></b></TD>";
echo "<TD align=middle width=\"20%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt>订阅版块</span></font></b></TD>";
echo "<TD align=middle width=\"20%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt>订阅时间</span></font></b></TD>";
echo "<TD align=middle width=\"8%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt></span></font></b></TD>";
echo "<TD align=middle width=\"8%\" bgcolor=C0C0C0><b><font color=\"#800000\"><span style=font:9pt</span></font></b></TD>";
echo "</TR>";
#分页显示用户
for ($counter=0;$counter<=$file_count;$counter++) {
  $user_info=explode("|",$user_array[$counter]);

 if ($user_info[2]!="all"){
$type_file=file("../data/xq.php");
$type_num=count($type_file)-1;
  for ($i=0;$i<=$type_num;$i++) {
  $type_info=explode("|",$type_file[$i]);
  if ($user_info[2]==$type_info[1])  {
     $typename=$type_info[2];
      break;}
}
}
else  $typename="所有版块";

  echo "<TR bgColor=#ffffff>";
  echo "<td bgcolor=efefef align=left>&nbsp;<IMG border=0 src='../images/dot1.gif'> <span style=font:9pt>$user_info[0]</span></td>";
  echo "<td align=center ><span style=font:9pt>$user_info[1]</span></td>";
  echo "<td align=center ><span style=font:9pt>$typename</span></td>";
  echo "<td align=center ><span style=font:9pt>20$user_info[3]</span></td>";
  echo "<td align=center ><a href=usersave.php?mod=dd&act=tg&id=$counter><span style=font:9pt>通过</span><a></td>";
  echo "<td align=center ><a href=usersave.php?mod=dd&act=del&id=$counter><span style=font:9pt>删除</span><a></td>";
  echo "</TR>";}
echo "</table></center>";
 ?>
<br>
<table width=100% cellpadding=6 cellspacing=0 border=0>
  <tr>
    <td bgcolor=#a6a7d9 colspan=2><font color=#FFFFFF> <b>程式制作：险情 版权所有：上海财经大学99国际工商管理 </b></font></td>
  </tr>
</table>

</BODY>
</HTML>